Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe.dom
Class DOMOutput

    java.lang.Object
      net.sourceforge.jsxe.dom.DOMOutput

All Implemented Interfaces:
  LSOutput

public class DOMOutput
extends Object
implements LSOutput

An implementation of the LSOutput interface for use with the DOMSerializer class. This object is used when generating locations into a document.

Version:
  $Id: DOMOutput.java 610 2005-04-15 20:01:09Z ian_lewis $
Author:
  Ian Lewis
See Also:
  `DOMSerializer`

Constructor Summary
`DOMOutput(OutputStream byteStream, String encoding)`
`DOMOutput(String systemId, String encoding)`
`DOMOutput(Writer characterStream)`

Method Summary
`OutputStream` | `getByteStream()`
`Writer` | `getCharacterStream()`
`String` | `getEncoding()`
`String` | `getSystemId()`
`void` | `setByteStream(OutputStream byteStream)`
`void` | `setCharacterStream(Writer characterStream)`
`void` | `setEncoding(String encoding)`
`void` | `setSystemId(String systemId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMOutput

    public DOMOutput(OutputStream byteStream,
                     String encoding)

### DOMOutput

    public DOMOutput(String systemId,
                     String encoding)

### DOMOutput

    public DOMOutput(Writer characterStream)

Method Detail

### getByteStream

    public OutputStream getByteStream()

  Specified by:
    `getByteStream` in interface `LSOutput`

### getCharacterStream

    public Writer getCharacterStream()

  Specified by:
    `getCharacterStream` in interface `LSOutput`

### getEncoding

    public String getEncoding()

  Specified by:
    `getEncoding` in interface `LSOutput`

### getSystemId

    public String getSystemId()

  Specified by:
    `getSystemId` in interface `LSOutput`

### setByteStream

    public void setByteStream(OutputStream byteStream)

  Specified by:
    `setByteStream` in interface `LSOutput`

### setCharacterStream

    public void setCharacterStream(Writer characterStream)

  Specified by:
    `setCharacterStream` in interface `LSOutput`

### setEncoding

    public void setEncoding(String encoding)

  Specified by:
    `setEncoding` in interface `LSOutput`

### setSystemId

    public void setSystemId(String systemId)

  Specified by:
    `setSystemId` in interface `LSOutput`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD